[Virtualbox]GuestAdditionsのバージョンが合わなくてエラー

掲題の通り。

Vagrantか、Dockerか、なにかで環境を作った時にでたエラー

[default] GuestAdditions versions on your host (5.0.26) and guest (5.0.14) do not match.
Installing Virtualbox Guest Additions 5.0.26 - guest version is 5.0.14
Vagrant was unable to mount VirtualBox shared folders. This is usually
because the filesystem "vboxsf" is not available. This filesystem is
made available via the VirtualBox Guest Additions and kernel module.
Please verify that these guest additions are properly installed in the
guest. This is not a bug in Vagrant and is usually caused by a faulty
Vagrant box. For context, the command attemped was:
Building the VirtualBox Guest Additions kernel modules
The headers for the current running kernel were not found. If the following
module compilation fails then this could be the reason.
The missing package can be probably installed with
yum install kernel-devel-2.6.32-573.el6.x86_64

後半で、いろいろ言ってきていますが、GuestAdditions versionsがhostとguestで合っていないというメッセージでした。

コメント

タイトルとURLをコピーしました